blob: 861c3e000ed6b4a40595c1a7f8c99f438cfeea93 [file] [log] [blame]
Patrick Williamsc124f4f2015-09-15 14:41:29 -05001#!/bin/sh
2
3# OE Build Environment Setup Script
4#
5# Copyright (C) 2006-2011 Linux Foundation
6#
7# This program is free software; you can redistribute it and/or modify
8# it under the terms of the GNU General Public License as published by
9# the Free Software Foundation; either version 2 of the License, or
10# (at your option) any later version.
11#
12# This program is distributed in the hope that it will be useful,
13# but WITHOUT ANY WARRANTY; without even the implied warranty of
14# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
15# GNU General Public License for more details.
16#
17# You should have received a copy of the GNU General Public License
18# along with this program; if not, write to the Free Software
19# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
20
21#
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050022# Normally this is called as '. ./oe-init-build-env <builddir>'
Patrick Williamsc124f4f2015-09-15 14:41:29 -050023#
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050024# This works in most shells (not dash), but not all of them pass the arguments
25# when being sourced. To workaround the shell limitation use "set <builddir>"
26# prior to sourcing this script.
Patrick Williamsc124f4f2015-09-15 14:41:29 -050027#
28if [ -n "$BASH_SOURCE" ]; then
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050029 THIS_SCRIPT=$BASH_SOURCE
Patrick Williamsc124f4f2015-09-15 14:41:29 -050030elif [ -n "$ZSH_NAME" ]; then
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050031 THIS_SCRIPT=$0
Patrick Williamsc124f4f2015-09-15 14:41:29 -050032else
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050033 THIS_SCRIPT="$(pwd)/oe-init-build-env"
Brad Bishop19323692019-04-05 15:28:33 -040034 if [ ! -e "$THIS_SCRIPT" ]; then
35 echo "Error: $THIS_SCRIPT doesn't exist!" >&2
36 echo "Please run this script in oe-init-build-env's directory." >&2
37 exit 1
38 fi
Patrick Williamsc124f4f2015-09-15 14:41:29 -050039fi
40if [ -n "$BBSERVER" ]; then
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050041 unset BBSERVER
Patrick Williamsc124f4f2015-09-15 14:41:29 -050042fi
Patrick Williamsc124f4f2015-09-15 14:41:29 -050043
44if [ -z "$ZSH_NAME" ] && [ "$0" = "$THIS_SCRIPT" ]; then
Brad Bishop19323692019-04-05 15:28:33 -040045 echo "Error: This script needs to be sourced. Please run as '. $THIS_SCRIPT'" >&2
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050046 exit 1
Patrick Williamsc124f4f2015-09-15 14:41:29 -050047fi
48
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050049if [ -z "$OEROOT" ]; then
50 OEROOT=$(dirname "$THIS_SCRIPT")
51 OEROOT=$(readlink -f "$OEROOT")
52fi
Patrick Williamsc124f4f2015-09-15 14:41:29 -050053unset THIS_SCRIPT
54
Patrick Williamsd8c66bc2016-06-20 12:57:21 -050055export OEROOT
56. $OEROOT/scripts/oe-buildenv-internal &&
57 TEMPLATECONF="$TEMPLATECONF" $OEROOT/scripts/oe-setup-builddir || {
58 unset OEROOT
59 return 1
60}
61unset OEROOT
62
63[ -z "$BUILDDIR" ] || cd "$BUILDDIR"
64